clear;
clc;
close all;



% we load the data
load 'Workspace.mat';



% general settings
%
% plots properties
fLineWidth			= 2.0;
strLineStyle		= '-';	% [{-} | -- | : | -.]
iMarkerSize			= 25;	% in points
strMarkerType		= '.';	% [+ | o | * | . | x | square | diamond | > | < | ^ | v | pentagram | hexagram | {none}]
afMarkerFaceColor	= [0.1 0.1 0.1];
afMarkerEdgeColor	= [0.3 0.3 0.3];
%
% fonts properties
iFontSize			= 20;
strFontUnit			= 'points'; % [{points} | normalized | inches | centimeters | pixels]
strFontName			= 'Times';	% [Times | Courier | ]		TODO complete the list
strFontWeight		= 'normal'; % [light | {normal} | demi | bold]
strFontAngle		= 'normal'; % [{normal} | italic | oblique]		ps: only for axes 
%
% strings interpreter
strInterpreter		= 'tex'; % [{tex} | latex]



% figure wasting space
figure(1)
strFilePath = '../hints_on_figure__wrong';
plot(afBase, afSine, 'b-');
xlabel('x axis   [units]');
ylabel('y axis   [units]');
afAxesLimits = [-1 11 -1.5 1.5];	% [x_min x_max y_min y_max]
axis(afAxesLimits);
% set(	gca,									...
% 		'FontName',				strFontName,	...
% 		'FontSize',				iFontSize,		...
% 		'FontUnits',			strFontUnit,	... [{points} | normalized | inches | centimeters | pixels]
% 		'FontWeight',			strFontWeight,	...
% 		'FontAngle',			strFontAngle);	%	[{normal} | italic | oblique]
print('-djpeg20',  strcat(strFilePath, '.jpg'));
%system(sprintf('epstopdf --gsopt=-dPDFSETTINGS=/prepress --outfile=%s.pdf  %s.eps', strFilePath, strFilePath));



% figure not wasting space
figure(1)
%
strFilePath = '../hints_on_figure__correct';
%
plot(	afBase,										...
		afSine,										...
		'LineStyle',		strLineStyle,			...
		'LineWidth',		fLineWidth,				...
		'Color',			[0.0 0.0 0.0]);%,			...
% 		'Marker',			strMarkerType,			...
% 		'MarkerSize',		iMarkerSize,			...
% 		'MarkerFaceColor',	afMarkerFaceColor,		...
% 		'MarkerEdgeColor',	afMarkerEdgeColor);
%
xlabel('x axis   [units]', 'FontName', strFontName, 'FontSize', iFontSize, 'FontWeight', strFontWeight, 'Interpreter', strInterpreter);
ylabel('y axis   [units]', 'FontName', strFontName, 'FontSize', iFontSize, 'FontWeight', strFontWeight, 'Interpreter', strInterpreter);
%
afAxesLimits = [-1 11 -1.5 1.5];	% [x_min x_max y_min y_max]
axis(afAxesLimits);
%
set(gcf,'Units', 'centimeters'); % [ inches | centimeters | normalized | points | {pixels} | characters]
%
afFigurePosition = [1 1 20 7.5];			% measurement units refer to the previous settings!	[pos_x pos_y width_x width_y]
set(gcf, 'Position', afFigurePosition);		% [left bottom width height]
set(gcf, 'PaperPositionMode', 'auto');		% ATTENTION: if PaperPositionMode is not 'auto' the saved file
%
set(	gca,									...
		'FontName',				strFontName,	...
		'FontSize',				iFontSize,		...
		'FontUnits',			strFontUnit,	... [{points} | normalized | inches | centimeters | pixels]
		'FontWeight',			strFontWeight,	...
		'FontAngle',			strFontAngle);	%	[{normal} | italic | oblique]
%
print('-depsc2',  strcat(strFilePath, '.eps'));
system(sprintf('epstopdf --gsopt=-dPDFSETTINGS=/prepress --outfile=%s.pdf  %s.eps', strFilePath, strFilePath));
