@set BACKUP_FOLDER="C:\Backups\matlab\ManualeFigure\"


:: segnalazione della cartella di output
@echo.
@echo.Cartella di destinazione del backup:
@echo.%BACKUP_FOLDER%
@echo.


:: segnalazione dell'eventuale mancanza della cartella di destinazione (se non esistente)
@if NOT exist %BACKUP_FOLDER% GOTO EXIT__BACKUP_FOLDER_NOT_PRESENT


:: eliminazione dei files di archivio presenti nella cartella corrente -
@del *.zip > nul
@del *.7z > nul


:: individuazione del nome del file
::
:: ATTENZIONE!!! Diverse versioni di Windows => diverse stringe di espressione delle date => diversi comandi per l'individuazione dei dati richiesti
::
:: di seguito sono riportati alcuni esempi funzionanti su varie versioni; scegliere quella che pi funziona
::
:: ----------------------------- set 1 -----------------------------
::@set anno=%date:~6,4%
::@set mese=%date:~7,2%
::@set giorno=%date:~4,2%
::@set ora=%time:~0,2%
::@set minuti=%time:~3,2%
::@set secondi=%time:~6,2%
:: ----------------------------- set 2 -----------------------------
@set anno=%date:~6,4%
@set mese=%date:~3,2%
@set giorno=%date:~0,2%
@set ora=%time:~0,2%
@set minuti=%time:~3,2%
@set secondi=%time:~6,2%
:: -----------------------------------------------------------------
::
:: DEBUG
@echo.%anno%
@echo.%mese%
@echo.%giorno%
@echo.%ora%
@echo.%minuti%
@echo.%secondi%
::
:: faccio in modo che il numero di caratteri sia costante
@if %ora% lss 10 set ora=0%ora:~1,1%
::
@set FILE_NAME=backup__manuale_figure__%anno%_%mese%_%giorno%__%ora%_%minuti%_%secondi%.7z


:: segnalazione della nome del file in output
@echo.
@echo.Nome del file di backup:
@echo.%FILE_NAME%
@echo.


:: compressione dei files e cartelle presenti
@7z a -t7z %FILE_NAME% -r * @scripts\backupsExcludedFiles.txt


:: spostamento del file nella cartella di backup
@move %FILE_NAME% %BACKUP_FOLDER%


:: esco dal programma
@goto :eof





:EXIT__BACKUP_FOLDER_NOT_PRESENT
@echo.
@echo.
@echo.ATTENZIONE!! LA CARTELLA DI DESTINAZIONE NON E' PRESENTE!!
@echo.E' necessario crearla affinche' lo script possa funzionare
@echo.
@echo.
@echo.
@echo.
@pause
@goto :eof


